> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# List Intent external providers

GET https://api.sandbox.mangopay.com/v3.0/{ClientId}/payins/intents/external-providers

Retrieve the list of third-party PSP names supported by Echo for:

* The `ExternalData.ExternalProviderName` property of the [Intent object](/api-reference/intents/create-intent)
* The `ExternalProviderName` property of Mangopay's [settlement file format](/api-reference/settlements/settlement-file)

**Note – Check values to use for your integration**

This endpoint returns the descriptive name for each provider. The rendering of the value you need to use as the `ExternalProviderName` in your integration is listed in the [supported providers](/api-reference/echo/supported-providers) page.

Reference: https://docs.mangopay.com/api-reference/echo/list-intent-external-providers

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

## Response

### 200

Success

- `list of string`

## Examples

**Response**

```json
[
  "Adyen",
  "Hipay",
  "Worldline",
  "Worldpay",
  "Monext",
  "Paypal",
  "Stripe",
  "Oney",
  "Ingenico",
  "PayPlug",
  "Checkout",
  "Mollie",
  "Sips",
  "Redsys",
  "Sequra",
  "Caixa",
  "BBVA",
  "Klarna",
  "Minsait Payments",
  "Bankart d.o.o",
  "Buckaroo",
  "Nuvei",
  "Rapyd",
  "PPRO",
  "Marketpay",
  "Braintree",
  "Mangopay",
  "Mangopay Transfer",
  "Payline",
  "Alma",
  "Purse",
  "Sofinco",
  "Cetelem",
  "Ogone",
  "Mondu",
  "SIBS",
  "FLOA"
]
```

**SDK Code**

```java
import java.util.List;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;

public class ListIntentExternalProviders {
    public static void main(String[] args) throws Exception {
        MangoPayApi mangopay = new MangoPayApi();
        mangopay.getConfig().setClientId("your-client-id");
        mangopay.getConfig().setClientPassword("your-api-key");

        List<String> externalProviders = mangopay.getPayInApi().getExternalProvidersList();

        Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
        String prettyJson = prettyPrint.toJson(externalProviders);

        System.out.println(prettyJson);
    }
}

```

```csharp
using System.Threading.Tasks;
using MangoPay.SDK;
using Newtonsoft.Json;

class ListIntentExternalProviders
{
    static async Task Main(string[] args)
    {
        MangoPayApi api = new MangoPayApi();

        api.Config.ClientId = "your-client-id";
        api.Config.ClientPassword = "your-api-key";

        var externalProviders = await api.PayIns.GetExternalProvidersListAsync();

        string prettyPrint = JsonConvert.SerializeObject(externalProviders, Formatting.Indented);
        Console.WriteLine(prettyPrint);
    }
}

```

```javascript
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
});

const listIntentExternalProviders = async () => {
    return await mangopay.PayIns.getExternalProviders()
        .then((response) => {
            console.info(response);
            return response;
        })
        .catch((err) => {
            console.log(err);
            return false;
        });
};

listIntentExternalProviders();

```

```php
<?php

require_once 'vendor/autoload.php';

use MangoPay\Libraries\Exception as MGPException;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\MangoPayApi;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
    $externalProviders = $api->PayIns->GetExternalProvidersList();

    print_r($externalProviders);
} catch (MGPResponseException $e) {
    print_r($e);
} catch (MGPException $e) {
    print_r($e);
}

```

```python
from pprint import pprint
import mangopay

mangopay.client_id = 'your-client-id'
mangopay.apikey = 'your-api-key'

from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)

from mangopay.resources import PayInIntent

external_providers = PayInIntent.get_external_providers_list()

pprint(external_providers)

```

```ruby
require 'mangopay'

MangoPay.configure do |client|
  client.preproduction = true
  client.client_id = 'your-client-id'
  client.client_apiKey = 'your-api-key'
  client.log_file = File.join(Dir.pwd, 'mangopay.log')
end

def list_intent_external_providers
  begin
    response = MangoPay::PayIn::PayInIntent::Intent.get_external_providers_list
    puts response
    return response
  rescue MangoPay::ResponseError => error
    puts "Failed to list external providers: #{error.message}"
    puts "Error details: #{error.details}"
    return false
  end
end

list_intent_external_providers

```